<template>
  <div class="empty">
    <div class="empty__wrapper">
      <img
        class="max-w-full h-auto border-0 align-middle"
        :src="
          getAssetImage(`assets/theme/black_modern_1/images/stay_tuned.png`)
        "
        alt=""
      />
      <h3 class="text-xl font-bold">{{ $t(emptyText) }}</h3>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  props: {
    emptyText: {
      default: "no_game_found",
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    const darkBackground = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/bg_page-form-2.svg"
    )}`;
    const darkBackgroundRight = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/bg_page-form.svg"
    )}`;
    const lightBackground = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/empty_bg_1.svg"
    )}`;
    const lightBackgroundRight = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/bg_page-form_1.svg"
    )}`;
    return {
      getAssetImage,
      darkBackground,
      lightBackground,
      darkBackgroundRight,
      lightBackgroundRight,
    };
  },
});
</script>
<style lang="scss" scoped>
html.dark .empty {
  background-image: v-bind("darkBackground"), v-bind("darkBackgroundRight");
}
.empty {
  background-image: v-bind("lightBackground"), v-bind("lightBackgroundRight");
  background-repeat: no-repeat;
  background-position: bottom left, top right;
  background-size: contain;
}
.empty__wrapper {
  max-width: 396px;
  margin: 0 auto;
  width: 100%;
  padding: 60px;
  background: var(--background2);
  box-shadow: var(--box-shadow);
  border-radius: 24px;
  text-align: center;
}
</style>
